<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: LASi.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_ced8ec04faf1f39c38b8acccde1582aa.html">include</a></div>
<h1>LASi.h</h1><a href="LASi_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="preprocessor">#ifndef LASI_H</span>
<a name="l00002"></a>00002 <span class="preprocessor"></span><span class="preprocessor">#define LASI_H</span>
<a name="l00003"></a>00003 <span class="preprocessor"></span>
<a name="l00009"></a>00009 <span class="preprocessor">#include &lt;string&gt;</span>
<a name="l00010"></a>00010 <span class="preprocessor">#include &lt;ostream&gt;</span>
<a name="l00011"></a>00011 <span class="preprocessor">#include &lt;sstream&gt;</span>
<a name="l00012"></a>00012 <span class="preprocessor">#include &lt;map&gt;</span>
<a name="l00013"></a>00013 <span class="preprocessor">#include &lt;pango/pango.h&gt;</span>
<a name="l00014"></a>00014 <span class="preprocessor">#include &lt;freetype/ftglyph.h&gt;</span>
<a name="l00015"></a>00015 
<a name="l00016"></a>00016 <span class="keyword">class </span><a class="code" href="classFreetypeGlyphMgr.html" title="Manage FT_Glyph by insuring that FT_Glyph is handled correctly.">FreetypeGlyphMgr</a>;
<a name="l00017"></a>00017 <span class="keyword">class </span><a class="code" href="classContextMgr.html" title="Manage PangoContext*.">ContextMgr</a>;
<a name="l00018"></a>00018 
<a name="l00019"></a>00019 <span class="comment">// These macros are needed for Visual C++ and other Windows compilers.</span>
<a name="l00020"></a>00020 <span class="comment">// All functions/classes marked with LASIDLLIMPEXP can be imported form/exported to the dll.</span>
<a name="l00021"></a>00021 <span class="comment">// Has no impact on other platforms</span>
<a name="l00022"></a>00022 <span class="preprocessor">#if defined(WIN32)</span>
<a name="l00023"></a>00023 <span class="preprocessor"></span>  <span class="comment">/* Visual C/C++, Borland, MinGW and Watcom */</span>
<a name="l00024"></a>00024 <span class="preprocessor">  #if defined(__VISUALC__) || defined(_MSC_VER) || defined(__BORLANDC__) || defined(__GNUC__) || defined(__WATCOMC__) || defined(__CYGWIN__)</span>
<a name="l00025"></a>00025 <span class="preprocessor"></span><span class="preprocessor">    #define LASIDLLEXPORT __declspec(dllexport)</span>
<a name="l00026"></a>00026 <span class="preprocessor"></span><span class="preprocessor">    #define LASIDLLIMPORT __declspec(dllimport)</span>
<a name="l00027"></a>00027 <span class="preprocessor"></span><span class="preprocessor">  #else</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span><span class="preprocessor">    #define LASIDLLEXPORT</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">    #define LASIDLLIMPORT</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">  #endif</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor">#else</span>
<a name="l00032"></a><a class="code" href="LASi_8h.html#45e0fe8722844aa47d3a83a567c51dd0">00032</a> <span class="preprocessor"></span><span class="preprocessor">  #define LASIDLLEXPORT</span>
<a name="l00033"></a><a class="code" href="LASi_8h.html#39516215c4f8037e08f33dae4934752c">00033</a> <span class="preprocessor"></span><span class="preprocessor">  #define LASIDLLIMPORT</span>
<a name="l00034"></a>00034 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00035"></a>00035 <span class="preprocessor"></span>
<a name="l00036"></a>00036 <span class="preprocessor">#if defined(LASi_EXPORTS)</span>
<a name="l00037"></a>00037 <span class="preprocessor"></span><span class="preprocessor">  #define LASIDLLIMPEXP LASIDLLEXPORT</span>
<a name="l00038"></a>00038 <span class="preprocessor"></span><span class="preprocessor">  #define LASIDLLIMPEXP_DATA(type) LASIDLLEXPORT type</span>
<a name="l00039"></a>00039 <span class="preprocessor"></span><span class="preprocessor">#elif defined(LASi_DLL)</span>
<a name="l00040"></a>00040 <span class="preprocessor"></span><span class="preprocessor">  #define LASIDLLIMPEXP LASIDLLIMPORT</span>
<a name="l00041"></a>00041 <span class="preprocessor"></span><span class="preprocessor">  #define LASIDLLIMPEXP_DATA(type) LASIDLLIMPORT type</span>
<a name="l00042"></a>00042 <span class="preprocessor"></span><span class="preprocessor">#else</span>
<a name="l00043"></a><a class="code" href="LASi_8h.html#701eaf601d55d61cb3791abdc5a8004b">00043</a> <span class="preprocessor"></span><span class="preprocessor">  #define LASIDLLIMPEXP</span>
<a name="l00044"></a><a class="code" href="LASi_8h.html#524a1bdc355201bd27a0eaa3638788f8">00044</a> <span class="preprocessor"></span><span class="preprocessor">  #define LASIDLLIMPEXP_DATA(type) type</span>
<a name="l00045"></a>00045 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00046"></a>00046 <span class="preprocessor"></span>
<a name="l00047"></a><a class="code" href="namespaceLASi.html">00047</a> <span class="keyword">namespace </span>LASi {
<a name="l00048"></a>00048 
<a name="l00049"></a><a class="code" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672">00049</a>   <span class="keyword">enum</span> <a class="code" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672">FontStyle</a>{
<a name="l00050"></a><a class="code" href="namespaceLASi.html#677a16ea4956907672f1eab92d9556729e47c3b32863fb436cf2f302c921d697">00050</a>     <a class="code" href="namespaceLASi.html#677a16ea4956907672f1eab92d9556729e47c3b32863fb436cf2f302c921d697">NORMAL_STYLE</a>,
<a name="l00051"></a><a class="code" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672af1fd1f6d4a84552a403e1017c9f4ce7">00051</a>     <a class="code" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672af1fd1f6d4a84552a403e1017c9f4ce7">OBLIQUE</a>,
<a name="l00052"></a><a class="code" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672e6b21e0116736505553488cdb7334b17">00052</a>     <a class="code" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672e6b21e0116736505553488cdb7334b17">ITALIC</a>
<a name="l00053"></a>00053   };
<a name="l00054"></a>00054 
<a name="l00055"></a><a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc">00055</a>   <span class="keyword">enum</span> <a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc">FontWeight</a>{
<a name="l00056"></a><a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cccf7a78ca5a7883a9150c8302d5254666">00056</a>     <a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cccf7a78ca5a7883a9150c8302d5254666">ULTRALIGHT</a>,
<a name="l00057"></a><a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11ccc770652a8ad0c7a0a844eb89641e9cec">00057</a>     <a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11ccc770652a8ad0c7a0a844eb89641e9cec">LIGHT</a>,
<a name="l00058"></a><a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cceede737451356ec247985ee426b58d53">00058</a>     <a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cceede737451356ec247985ee426b58d53">NORMAL_WEIGHT</a>,
<a name="l00059"></a><a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc5885504bb5a03f3139564e3eb0de12ef">00059</a>     <a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc5885504bb5a03f3139564e3eb0de12ef">BOLD</a>,
<a name="l00060"></a><a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc7816c49ee268403f613ad22921568179">00060</a>     <a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc7816c49ee268403f613ad22921568179">ULTRABOLD</a>,
<a name="l00061"></a><a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc42575c34093940eb90a1fb3f37e8a7c7">00061</a>     <a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc42575c34093940eb90a1fb3f37e8a7c7">HEAVY</a>
<a name="l00062"></a>00062   };
<a name="l00063"></a>00063 
<a name="l00064"></a><a class="code" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c">00064</a>   <span class="keyword">enum</span> <a class="code" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c">FontVariant</a>{
<a name="l00065"></a><a class="code" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33cfa318f7c87d307b7d830835f805ba552">00065</a>     <a class="code" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33cfa318f7c87d307b7d830835f805ba552">NORMAL_VARIANT</a>,
<a name="l00066"></a><a class="code" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c1d210e351adbab9b1c1eda063ddca4ca">00066</a>     <a class="code" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c1d210e351adbab9b1c1eda063ddca4ca">SMALLCAPS</a>
<a name="l00067"></a>00067   };
<a name="l00068"></a>00068 
<a name="l00069"></a><a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837">00069</a>   <span class="keyword">enum</span> <a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837">FontStretch</a>{
<a name="l00070"></a><a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad8378de50d0cc6565e573399b0cf4832497e">00070</a>     <a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad8378de50d0cc6565e573399b0cf4832497e">ULTRACONDENSED</a>,
<a name="l00071"></a><a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad83738a0be2a04c94b17cfe2bf9573ebcd27">00071</a>     <a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad83738a0be2a04c94b17cfe2bf9573ebcd27">EXTRACONDENSED</a>,
<a name="l00072"></a><a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837fb570405985bf99d568f851f24d3b36b">00072</a>     <a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837fb570405985bf99d568f851f24d3b36b">CONDENSED</a>,
<a name="l00073"></a><a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837d15fa83d6da6c7fa193299a8b1859db0">00073</a>     <a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837d15fa83d6da6c7fa193299a8b1859db0">SEMICONDENSED</a>,
<a name="l00074"></a><a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837a9fac282c7306e7e2269fbd48e7f4067">00074</a>     <a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837a9fac282c7306e7e2269fbd48e7f4067">NORMAL_STRETCH</a>,
<a name="l00075"></a><a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad8377083a771b62fdee7569882a4853c16b3">00075</a>     <a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad8377083a771b62fdee7569882a4853c16b3">SEMIEXPANDED</a>,
<a name="l00076"></a><a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837d2a897a227f35fa61580d9b5c556ecf1">00076</a>     <a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837d2a897a227f35fa61580d9b5c556ecf1">EXPANDED</a>,
<a name="l00077"></a><a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837cce22c4b35235666ce68171a8abcdc96">00077</a>     <a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837cce22c4b35235666ce68171a8abcdc96">EXTRAEXPANDED</a>,
<a name="l00078"></a><a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837625bd024d7418d706a31ac8121daf7d9">00078</a>     <a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837625bd024d7418d706a31ac8121daf7d9">ULTRAEXPANDED</a>
<a name="l00079"></a>00079   };
<a name="l00080"></a>00080   
<a name="l00081"></a>00081   <span class="keyword">class </span>PostscriptDocument;
<a name="l00082"></a>00082   <span class="keyword">class </span>write_glyph_routine_to_stream;
<a name="l00083"></a>00083 
<a name="l00087"></a><a class="code" href="classLASi_1_1oPostscriptStream.html">00087</a>   <span class="keyword">class </span><a class="code" href="LASi_8h.html#701eaf601d55d61cb3791abdc5a8004b">LASIDLLIMPEXP</a> <a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a> : <span class="keyword">public</span> std::ostringstream {
<a name="l00088"></a>00088     <span class="keyword">public</span>:
<a name="l00089"></a><a class="code" href="classLASi_1_1oPostscriptStream.html#2420e73e73d02644323fd7516f945c14">00089</a>       <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classLASi_1_1PostscriptDocument.html" title="Composes Postscript document as three separate and independant streams for header...">PostscriptDocument</a>;
<a name="l00090"></a><a class="code" href="classLASi_1_1oPostscriptStream.html#7fc469992ea83eaa8e008fe32eb4828f">00090</a>       <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classLASi_1_1show.html" title="stream applicator applied to oPostscriptStream.">show</a>;
<a name="l00091"></a><a class="code" href="classLASi_1_1oPostscriptStream.html#b86e346ac620d226a0b47305dd69a373">00091</a>       <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classLASi_1_1setFont.html" title="stream manipulator applied to oPostscriptStream.">setFont</a>;
<a name="l00092"></a><a class="code" href="classLASi_1_1oPostscriptStream.html#2b4bd87cf938e9b28b41bd1b43ed33f1">00092</a>       <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classLASi_1_1setFontSize.html" title="stream manipulator applied to oPostscriptStream.">setFontSize</a>;
<a name="l00093"></a>00093 
<a name="l00094"></a><a class="code" href="classLASi_1_1oPostscriptStream.html#5bec594c614cfb60244d1a0d942db4b1">00094</a>       <a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>(<a class="code" href="classLASi_1_1PostscriptDocument.html" title="Composes Postscript document as three separate and independant streams for header...">PostscriptDocument</a>&amp; psDoc) : _psDoc(psDoc) {}
<a name="l00095"></a>00095 
<a name="l00096"></a>00096     <span class="keyword">protected</span>:
<a name="l00097"></a><a class="code" href="classLASi_1_1oPostscriptStream.html#bc769100cfa0ce8e4e50aad58919ceaa">00097</a>       <a class="code" href="classLASi_1_1PostscriptDocument.html" title="Composes Postscript document as three separate and independant streams for header...">PostscriptDocument</a>&amp; doc() {<span class="keywordflow">return</span> _psDoc;}
<a name="l00098"></a>00098 
<a name="l00099"></a>00099     <span class="keyword">private</span>:
<a name="l00100"></a><a class="code" href="classLASi_1_1oPostscriptStream.html#dfbc1e1dba499f3ca9f8a91940ef1b99">00100</a>       <a class="code" href="classLASi_1_1PostscriptDocument.html" title="Composes Postscript document as three separate and independant streams for header...">PostscriptDocument</a>&amp; _psDoc;
<a name="l00101"></a>00101   };
<a name="l00102"></a>00102 
<a name="l00103"></a>00103   <span class="keyword">template</span>&lt;<span class="keyword">class</span> T&gt;
<a name="l00104"></a><a class="code" href="namespaceLASi.html#fd39842e36a3cb260167c975afd394e8">00104</a>     <span class="keyword">inline</span> <a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>&amp; <a class="code" href="namespaceLASi.html#fd39842e36a3cb260167c975afd394e8">operator&lt;&lt;</a>(<a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>&amp; os, T t) {
<a name="l00105"></a>00105       <span class="keyword">static_cast&lt;</span>std::ostream&amp;<span class="keyword">&gt;</span>(os) &lt;&lt; t;
<a name="l00106"></a>00106       <span class="keywordflow">return</span> os;
<a name="l00107"></a>00107     }
<a name="l00108"></a>00108 
<a name="l00114"></a><a class="code" href="classLASi_1_1PostscriptDocument.html">00114</a>   <span class="keyword">class </span><a class="code" href="LASi_8h.html#701eaf601d55d61cb3791abdc5a8004b">LASIDLLIMPEXP</a> <a class="code" href="classLASi_1_1PostscriptDocument.html" title="Composes Postscript document as three separate and independant streams for header...">PostscriptDocument</a> {
<a name="l00115"></a>00115     <span class="keyword">public</span>:
<a name="l00116"></a><a class="code" href="classLASi_1_1PostscriptDocument.html#43742b164a1653e57d93ffbbf4df70de">00116</a>       <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classLASi_1_1PostscriptDocument_1_1write__glyph__routine__to__stream.html" title="For internal use only.">write_glyph_routine_to_stream</a>; <span class="comment">// helper class</span>
<a name="l00117"></a><a class="code" href="classLASi_1_1PostscriptDocument.html#7fc469992ea83eaa8e008fe32eb4828f">00117</a>       <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classLASi_1_1show.html" title="stream applicator applied to oPostscriptStream.">show</a>;
<a name="l00118"></a>00118 
<a name="l00119"></a>00119       <a class="code" href="classLASi_1_1PostscriptDocument.html" title="Composes Postscript document as three separate and independant streams for header...">PostscriptDocument</a>();
<a name="l00120"></a>00120       ~<a class="code" href="classLASi_1_1PostscriptDocument.html" title="Composes Postscript document as three separate and independant streams for header...">PostscriptDocument</a>();
<a name="l00121"></a>00121 
<a name="l00125"></a>00125       <span class="keywordtype">void</span> <a class="code" href="classLASi_1_1setFont.html" title="stream manipulator applied to oPostscriptStream.">setFont</a>(
<a name="l00126"></a>00126           <span class="keyword">const</span> <span class="keywordtype">char</span>* <span class="keyword">const</span> family = <span class="stringliteral">"sans"</span>,
<a name="l00127"></a>00127           <a class="code" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672">LASi::FontStyle</a>   = <a class="code" href="namespaceLASi.html#677a16ea4956907672f1eab92d9556729e47c3b32863fb436cf2f302c921d697">LASi::NORMAL_STYLE</a>,
<a name="l00128"></a>00128           <a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc">LASi::FontWeight</a>  = <a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cceede737451356ec247985ee426b58d53">LASi::NORMAL_WEIGHT</a>,
<a name="l00129"></a>00129           <a class="code" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c">LASi::FontVariant</a> = <a class="code" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33cfa318f7c87d307b7d830835f805ba552">LASi::NORMAL_VARIANT</a>,
<a name="l00130"></a>00130           <a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837">LASi::FontStretch</a> = <a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837a9fac282c7306e7e2269fbd48e7f4067">LASi::NORMAL_STRETCH</a>
<a name="l00131"></a>00131       );
<a name="l00132"></a>00132 
<a name="l00136"></a><a class="code" href="classLASi_1_1PostscriptDocument.html#2de93d93c4979c187db13fd64de85844">00136</a>       <span class="keywordtype">void</span> <a class="code" href="classLASi_1_1setFontSize.html" title="stream manipulator applied to oPostscriptStream.">setFontSize</a>(<span class="keyword">const</span> <span class="keywordtype">double</span> size) {_fontSize = size;}
<a name="l00137"></a>00137 
<a name="l00140"></a><a class="code" href="classLASi_1_1PostscriptDocument.html#999bf5a5d71339e3acdc1889e9bc68e3">00140</a>       std::ostringstream&amp; osHeader() {<span class="keywordflow">return</span> _osHeader;}
<a name="l00141"></a>00141 
<a name="l00144"></a><a class="code" href="classLASi_1_1PostscriptDocument.html#fe7e58d323555a8be0b1cb8ed94e373d">00144</a>       <a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>&amp; osBody() {<span class="keywordflow">return</span> _osBody;}
<a name="l00145"></a>00145 
<a name="l00148"></a><a class="code" href="classLASi_1_1PostscriptDocument.html#9331d7b137d0fd6f1107e88b18851970">00148</a>       <a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>&amp; osFooter() {<span class="keywordflow">return</span> _osFooter;}
<a name="l00149"></a>00149 
<a name="l00159"></a>00159       <span class="keywordtype">void</span> write(std::ostream&amp; os, <span class="keywordtype">double</span> llx=0, <span class="keywordtype">double</span> lly=0, <span class="keywordtype">double</span> urx=0, <span class="keywordtype">double</span> ury=0);
<a name="l00160"></a>00160 
<a name="l00167"></a>00167       <span class="keywordtype">void</span> get_dimensions(<span class="keyword">const</span> <span class="keywordtype">char</span>* s, <span class="keywordtype">double</span> *lineSpacing, <span class="keywordtype">double</span> *xAdvance=NULL, <span class="keywordtype">double</span> *yMin=NULL, <span class="keywordtype">double</span> *yMax=NULL);
<a name="l00168"></a>00168       <span class="keywordtype">void</span> get_dimensions(std::string s, <span class="keywordtype">double</span> *lineSpacing, <span class="keywordtype">double</span> *xAdvance=NULL, <span class="keywordtype">double</span> *yMin=NULL, <span class="keywordtype">double</span> *yMax=NULL);
<a name="l00169"></a>00169 
<a name="l00170"></a>00170     <span class="keyword">protected</span>:
<a name="l00175"></a><a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html">00175</a>       <span class="keyword">class </span><a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html" title="For internal use only.">GlyphId</a> {
<a name="l00176"></a>00176         <span class="keyword">public</span>:
<a name="l00177"></a><a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#6018f44f541e78f0f6b065ccf6609a10">00177</a>           <span class="keyword">friend</span> <span class="keywordtype">bool</span> operator==(<span class="keyword">const</span> <a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html" title="For internal use only.">GlyphId</a> id1, <span class="keyword">const</span> <a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html" title="For internal use only.">GlyphId</a> id2) {
<a name="l00178"></a>00178             <span class="keywordflow">return</span> id1.<a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#f2241e7bf5673e74432664c205986712" title="string representation of glyph id">_str</a> == id2.<a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#f2241e7bf5673e74432664c205986712" title="string representation of glyph id">_str</a>;
<a name="l00179"></a>00179           }
<a name="l00180"></a>00180 
<a name="l00181"></a><a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#b3ff6791a53d17197f8fd45d35619beb">00181</a>           <span class="keyword">friend</span> <span class="keywordtype">bool</span> operator&lt;(<span class="keyword">const</span> <a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html" title="For internal use only.">GlyphId</a> id1, <span class="keyword">const</span> <a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html" title="For internal use only.">GlyphId</a> id2) {
<a name="l00182"></a>00182             <span class="keywordflow">return</span> id1.<a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#f2241e7bf5673e74432664c205986712" title="string representation of glyph id">_str</a> &lt; id2.<a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#f2241e7bf5673e74432664c205986712" title="string representation of glyph id">_str</a>;
<a name="l00183"></a>00183           }
<a name="l00184"></a>00184 
<a name="l00185"></a><a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#3830443c4031142a3db0d54b17239a82">00185</a>           <a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html" title="For internal use only.">GlyphId</a>() {}
<a name="l00186"></a>00186           <a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html" title="For internal use only.">GlyphId</a>(FT_Face, <span class="keyword">const</span> FT_UInt);
<a name="l00187"></a>00187 
<a name="l00189"></a><a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#fdaeed79bb17dd2709becd0e061b6e5c">00189</a>           std::string str()<span class="keyword"> const </span>{<span class="keywordflow">return</span> _str;}
<a name="l00190"></a>00190 
<a name="l00191"></a>00191         <span class="keyword">private</span>:
<a name="l00193"></a><a class="code" href="classLASi_1_1PostscriptDocument_1_1GlyphId.html#f2241e7bf5673e74432664c205986712">00193</a>           std::string _str;
<a name="l00194"></a>00194       };
<a name="l00195"></a>00195 
<a name="l00198"></a><a class="code" href="classLASi_1_1PostscriptDocument.html#d04760970ff8a69b4cc0df3dc3787a50">00198</a>       <span class="keyword">typedef</span> std::map&lt;GlyphId, FreetypeGlyphMgr&gt; GlyphMap;
<a name="l00199"></a>00199 
<a name="l00204"></a>00204       <span class="keyword">typedef</span> void (<a class="code" href="classLASi_1_1PostscriptDocument.html" title="Composes Postscript document as three separate and independant streams for header...">PostscriptDocument</a>::*GLYPH_FUNC)(
<a name="l00205"></a>00205           <span class="keyword">const</span> GlyphMap::value_type&amp;, <span class="keywordtype">void</span>* contextData);
<a name="l00206"></a>00206 
<a name="l00207"></a>00207       <span class="keywordtype">void</span> invoke_glyph_routine(<span class="keyword">const</span> GlyphMap::value_type&amp;, <span class="keywordtype">void</span>* contextData);
<a name="l00208"></a>00208 
<a name="l00209"></a>00209       <span class="keywordtype">void</span> accrue_dimensions( <span class="keyword">const</span> GlyphMap::value_type&amp;, <span class="keywordtype">void</span>* contextData1);
<a name="l00210"></a>00210 
<a name="l00213"></a>00213       <span class="keywordtype">void</span> for_each_glyph_do(<span class="keyword">const</span> std::string&amp;, <span class="keyword">const</span> GLYPH_FUNC, <span class="keywordtype">void</span>* contextData);
<a name="l00214"></a>00214 
<a name="l00215"></a>00215       PangoContext* pangoContext() <span class="keyword">const</span>;
<a name="l00216"></a>00216 
<a name="l00219"></a>00219       std::string glyphProcName() <span class="keyword">const</span>;
<a name="l00220"></a>00220 
<a name="l00223"></a><a class="code" href="classLASi_1_1PostscriptDocument.html#12c5c90259b16d8778219706a9ce121a">00223</a>       <span class="keywordtype">double</span> getFontSize() {<span class="keywordflow">return</span> _fontSize;}
<a name="l00224"></a>00224 
<a name="l00227"></a><a class="code" href="classLASi_1_1PostscriptDocument_1_1write__glyph__routine__to__stream.html">00227</a>       <span class="keyword">class </span><a class="code" href="classLASi_1_1PostscriptDocument_1_1write__glyph__routine__to__stream.html" title="For internal use only.">write_glyph_routine_to_stream</a> {
<a name="l00228"></a>00228         <span class="keyword">private</span>:
<a name="l00229"></a><a class="code" href="classLASi_1_1PostscriptDocument_1_1write__glyph__routine__to__stream.html#a1b1c7be4fedd30e5d2b89eca92378c7">00229</a>           std::ostream&amp; os;
<a name="l00230"></a><a class="code" href="classLASi_1_1PostscriptDocument_1_1write__glyph__routine__to__stream.html#c8b47c7a34356eba761accc410a61b62">00230</a>           PangoContext* pangoCtx;
<a name="l00231"></a>00231 
<a name="l00232"></a>00232         <span class="keyword">public</span>:
<a name="l00233"></a><a class="code" href="classLASi_1_1PostscriptDocument_1_1write__glyph__routine__to__stream.html#c80c831f39c6b841d99a85f13fb2e8c0">00233</a>           <a class="code" href="classLASi_1_1PostscriptDocument_1_1write__glyph__routine__to__stream.html" title="For internal use only.">write_glyph_routine_to_stream</a>(std::ostream&amp; os, PangoContext* pangoCtx) 
<a name="l00234"></a>00234             : os(os), pangoCtx(pangoCtx) {}
<a name="l00235"></a>00235           <span class="keywordtype">void</span> operator()(PostscriptDocument::GlyphMap::value_type v);
<a name="l00236"></a>00236       };
<a name="l00237"></a>00237 
<a name="l00238"></a>00238     <span class="keyword">private</span>:
<a name="l00239"></a><a class="code" href="classLASi_1_1PostscriptDocument.html#891b253b04c2bb4552b3b981d3a4ac5e">00239</a>       GlyphMap _glyphMap;
<a name="l00240"></a>00240 
<a name="l00241"></a><a class="code" href="classLASi_1_1PostscriptDocument.html#7db60f9499f34edaa1fff5dbcfa1bdc5">00241</a>       <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> DRAWING_SCALE;
<a name="l00242"></a>00242 
<a name="l00243"></a>00243       <span class="comment">// Use pointers instead of objects in order to minimize namespace pollution of .h file user</span>
<a name="l00244"></a>00244       <span class="comment">// Requires fwd declarations above.</span>
<a name="l00245"></a><a class="code" href="classLASi_1_1PostscriptDocument.html#e0b414aa7ba77d738b8c8dc3c1a6221e">00245</a>       <a class="code" href="classContextMgr.html" title="Manage PangoContext*.">ContextMgr</a>* _pContextMgr;     <span class="comment">// manage PangoContext*</span>
<a name="l00246"></a><a class="code" href="classLASi_1_1PostscriptDocument.html#0599d87cb9a22fc1a8698791fcb1691c">00246</a>       <span class="keywordtype">double</span> _fontSize;             <span class="comment">// font size to be used when rendering next show()</span>
<a name="l00247"></a><a class="code" href="classLASi_1_1PostscriptDocument.html#3d96e4d1443485432b973606c7ab98c5">00247</a>       std::ostringstream _osHeader; <span class="comment">// Postscript header</span>
<a name="l00248"></a><a class="code" href="classLASi_1_1PostscriptDocument.html#57476e581450042bad24eb536e72bf11">00248</a>       <a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a> _osBody;    <span class="comment">// Postscript body</span>
<a name="l00249"></a><a class="code" href="classLASi_1_1PostscriptDocument.html#9c160fc430c5855a953ebba33ed67b49">00249</a>       <a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a> _osFooter;  <span class="comment">// Postscript footer</span>
<a name="l00250"></a>00250   };
<a name="l00251"></a>00251 
<a name="l00254"></a><a class="code" href="classLASi_1_1setFont.html">00254</a>   <span class="keyword">class </span><a class="code" href="LASi_8h.html#701eaf601d55d61cb3791abdc5a8004b">LASIDLLIMPEXP</a> <a class="code" href="classLASi_1_1setFont.html" title="stream manipulator applied to oPostscriptStream.">setFont</a> {
<a name="l00255"></a>00255     <span class="keyword">public</span>:
<a name="l00258"></a><a class="code" href="classLASi_1_1setFont.html#2333de03c02d7cca15e1b530c87861fc">00258</a>       <span class="keyword">friend</span> <span class="keyword">inline</span> <a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>&amp; <a class="code" href="namespaceLASi.html#fd39842e36a3cb260167c975afd394e8">operator&lt;&lt;</a>(<a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>&amp; os, <span class="keyword">const</span> <a class="code" href="classLASi_1_1setFont.html" title="stream manipulator applied to oPostscriptStream.">setFont</a>&amp; x) {
<a name="l00259"></a>00259         x.<a class="code" href="classLASi_1_1setFont.html#cbfa7a84ecc446d24fa278a0bfaf8d96">apply</a>(os);
<a name="l00260"></a>00260         <span class="keywordflow">return</span> os;
<a name="l00261"></a>00261       }
<a name="l00262"></a>00262 
<a name="l00266"></a><a class="code" href="classLASi_1_1setFont.html#06ac10a68f9f4d7fe507e1c9e766d364">00266</a>       <a class="code" href="classLASi_1_1setFont.html" title="stream manipulator applied to oPostscriptStream.">setFont</a>(
<a name="l00267"></a>00267           <span class="keyword">const</span> <span class="keywordtype">char</span>* <span class="keyword">const</span> family = <span class="stringliteral">"sans"</span>,
<a name="l00268"></a>00268           <span class="keyword">const</span> <a class="code" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672">LASi::FontStyle</a>   style   = <a class="code" href="namespaceLASi.html#677a16ea4956907672f1eab92d9556729e47c3b32863fb436cf2f302c921d697">LASi::NORMAL_STYLE</a>,
<a name="l00269"></a>00269           <span class="keyword">const</span> <a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc">LASi::FontWeight</a>  weight  = <a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cceede737451356ec247985ee426b58d53">LASi::NORMAL_WEIGHT</a>,
<a name="l00270"></a>00270           <span class="keyword">const</span> <a class="code" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c">LASi::FontVariant</a> variant = <a class="code" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33cfa318f7c87d307b7d830835f805ba552">LASi::NORMAL_VARIANT</a>,
<a name="l00271"></a>00271           <span class="keyword">const</span> <a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837">LASi::FontStretch</a> stretch = <a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837a9fac282c7306e7e2269fbd48e7f4067">LASi::NORMAL_STRETCH</a> )
<a name="l00272"></a>00272           : _family(family), _style(style), _weight(weight), _variant(variant), _stretch(stretch)
<a name="l00273"></a>00273       {}
<a name="l00274"></a>00274       
<a name="l00275"></a>00275     <span class="keyword">protected</span>:
<a name="l00276"></a><a class="code" href="classLASi_1_1setFont.html#cbfa7a84ecc446d24fa278a0bfaf8d96">00276</a>       <span class="keywordtype">void</span> apply(<a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>&amp; os)<span class="keyword"> const </span>{
<a name="l00277"></a>00277         os.<a class="code" href="classLASi_1_1oPostscriptStream.html#bc769100cfa0ce8e4e50aad58919ceaa">doc</a>().<a class="code" href="classLASi_1_1PostscriptDocument.html#3b78a2ccc98eb3a8d71e8dc96d76886a" title="Sets the font that all subsequent text written to bodyStream() or footerStream()...">setFont</a>(_family, _style,_weight, _variant,  _stretch);
<a name="l00278"></a>00278       }
<a name="l00279"></a>00279 
<a name="l00280"></a>00280     <span class="keyword">private</span>:
<a name="l00281"></a><a class="code" href="classLASi_1_1setFont.html#7ba722d35585589eb89b715b61b0ed20">00281</a>       <span class="keyword">const</span> <span class="keywordtype">char</span>* <span class="keyword">const</span>  _family;
<a name="l00282"></a><a class="code" href="classLASi_1_1setFont.html#d431f54e4f6d7e81bc7b600877c999a2">00282</a>       <span class="keyword">const</span> <a class="code" href="namespaceLASi.html#677a16ea4956907672f1eab92d955672">LASi::FontStyle</a>   _style;
<a name="l00283"></a><a class="code" href="classLASi_1_1setFont.html#b536416dc93d60b94e094e41d5265b3c">00283</a>       <span class="keyword">const</span> <a class="code" href="namespaceLASi.html#cad6af5e11af48ac0820470cb91b11cc">LASi::FontWeight</a>  _weight;
<a name="l00284"></a><a class="code" href="classLASi_1_1setFont.html#a51e9b9cf35e40b090ae2b9953afbacb">00284</a>       <span class="keyword">const</span> <a class="code" href="namespaceLASi.html#0c4dd4681ddefc547e182e0a91ffa33c">LASi::FontVariant</a> _variant;
<a name="l00285"></a><a class="code" href="classLASi_1_1setFont.html#79ab8b27fe6d65a0aa858281bfcf1140">00285</a>       <span class="keyword">const</span> <a class="code" href="namespaceLASi.html#1078bb628a6b0474a6e0e5e75acad837">LASi::FontStretch</a> _stretch;
<a name="l00286"></a>00286       
<a name="l00287"></a>00287   };
<a name="l00288"></a>00288 
<a name="l00291"></a><a class="code" href="classLASi_1_1setFontSize.html">00291</a>   <span class="keyword">class </span><a class="code" href="LASi_8h.html#701eaf601d55d61cb3791abdc5a8004b">LASIDLLIMPEXP</a> <a class="code" href="classLASi_1_1setFontSize.html" title="stream manipulator applied to oPostscriptStream.">setFontSize</a> {
<a name="l00292"></a>00292     <span class="keyword">public</span>:
<a name="l00295"></a><a class="code" href="classLASi_1_1setFontSize.html#15a8403d0ea0ef209795189f18b78095">00295</a>       <span class="keyword">friend</span> <span class="keyword">inline</span> <a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>&amp; <a class="code" href="namespaceLASi.html#fd39842e36a3cb260167c975afd394e8">operator&lt;&lt;</a>(<a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>&amp; os, <span class="keyword">const</span> <a class="code" href="classLASi_1_1setFontSize.html" title="stream manipulator applied to oPostscriptStream.">setFontSize</a>&amp; x) {
<a name="l00296"></a>00296         x.<a class="code" href="classLASi_1_1setFontSize.html#e96eeebbfbd2956ad456b30a946e4f17">apply</a>(os);
<a name="l00297"></a>00297         <span class="keywordflow">return</span> os;
<a name="l00298"></a>00298       }
<a name="l00299"></a>00299 
<a name="l00304"></a><a class="code" href="classLASi_1_1setFontSize.html#f782493402c88f85a1a3e9c11a10bd8b">00304</a>       <a class="code" href="classLASi_1_1setFontSize.html" title="stream manipulator applied to oPostscriptStream.">setFontSize</a>(<span class="keywordtype">double</span> size) : _size(size) {}
<a name="l00305"></a>00305 
<a name="l00306"></a>00306     <span class="keyword">protected</span>:
<a name="l00307"></a><a class="code" href="classLASi_1_1setFontSize.html#e96eeebbfbd2956ad456b30a946e4f17">00307</a>       <span class="keywordtype">void</span> apply(<a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>&amp; os)<span class="keyword"> const </span>{
<a name="l00308"></a>00308         os.<a class="code" href="classLASi_1_1oPostscriptStream.html#bc769100cfa0ce8e4e50aad58919ceaa">doc</a>().<a class="code" href="classLASi_1_1PostscriptDocument.html#2de93d93c4979c187db13fd64de85844" title="Sets the font size, in points, that all subsequent text written to bodyStream() or...">setFontSize</a>(_size);
<a name="l00309"></a>00309       }
<a name="l00310"></a>00310 
<a name="l00311"></a>00311     <span class="keyword">private</span>:
<a name="l00312"></a><a class="code" href="classLASi_1_1setFontSize.html#71055b9a8e1ff1b142d6455a09611bef">00312</a>       <span class="keywordtype">double</span> _size;
<a name="l00313"></a>00313   };
<a name="l00314"></a>00314 
<a name="l00317"></a><a class="code" href="classLASi_1_1show.html">00317</a>   <span class="keyword">class </span><a class="code" href="LASi_8h.html#701eaf601d55d61cb3791abdc5a8004b">LASIDLLIMPEXP</a> <a class="code" href="classLASi_1_1show.html" title="stream applicator applied to oPostscriptStream.">show</a>{
<a name="l00318"></a>00318     <span class="keyword">public</span>:
<a name="l00321"></a><a class="code" href="classLASi_1_1show.html#1428c20eb6c68ffa1eea433945b94ce0">00321</a>       <span class="keyword">friend</span> <span class="keyword">inline</span> <a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>&amp; <a class="code" href="namespaceLASi.html#fd39842e36a3cb260167c975afd394e8">operator&lt;&lt;</a>(<a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>&amp; os, <span class="keyword">const</span> <a class="code" href="classLASi_1_1show.html" title="stream applicator applied to oPostscriptStream.">show</a>&amp; x) {
<a name="l00322"></a>00322         x.<a class="code" href="classLASi_1_1show.html#89919c0f03ce0d1dd6c21663c931f45c">apply</a>(os);
<a name="l00323"></a>00323         <span class="keywordflow">return</span> os;
<a name="l00324"></a>00324       }
<a name="l00325"></a>00325 
<a name="l00329"></a><a class="code" href="classLASi_1_1show.html#c16635bafaee7a8fe73e38a0a399890e">00329</a>       <a class="code" href="classLASi_1_1show.html" title="stream applicator applied to oPostscriptStream.">show</a>(<span class="keyword">const</span> <span class="keywordtype">char</span>* c_str   ) : _str(c_str  ) {}
<a name="l00330"></a><a class="code" href="classLASi_1_1show.html#1d5b248ce5dbe606bf264306fcbe0c1e">00330</a>       <a class="code" href="classLASi_1_1show.html" title="stream applicator applied to oPostscriptStream.">show</a>(std::string stl_str ) : _str(stl_str) {}
<a name="l00331"></a>00331 
<a name="l00332"></a>00332     <span class="keyword">protected</span>:
<a name="l00333"></a>00333       <span class="keywordtype">void</span> apply(<a class="code" href="classLASi_1_1oPostscriptStream.html" title="Just like any ordinary ostringstream, but maintains a reference to the PostscriptDocument...">oPostscriptStream</a>&amp; os) <span class="keyword">const</span>;
<a name="l00334"></a>00334 
<a name="l00335"></a>00335     <span class="keyword">private</span>:
<a name="l00336"></a><a class="code" href="classLASi_1_1show.html#1dc40ea119d01d172f72b405b4da474d">00336</a>       std::string _str;
<a name="l00337"></a>00337   };
<a name="l00338"></a>00338 }
<a name="l00339"></a>00339 <span class="preprocessor">#endif</span>
<a name="l00340"></a>00340 <span class="preprocessor"></span>
</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
